## org.codehaus.groovy.runtime.typehandling
Class FloatingPointMath

FloatingPoint (Double and Float) NumberMath operations

author:
  Steve Goetze

Field Summary
`FloatingPointMath` | `INSTANCE`

Constructor Summary
`FloatingPointMath()`

Method Summary
`Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`Number` | `modImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`Number` | `subtractImpl(Number left, Number right)`
`Number` | `unaryMinusImpl(Number left)`

Constructor Detail

### FloatingPointMath

    FloatingPointMath()

Method Detail

### absImpl

    Number absImpl(Number number)

### addImpl

    Number addImpl(Number left, Number right)

### compareToImpl

    int compareToImpl(Number left, Number right)

### divideImpl

    Number divideImpl(Number left, Number right)

### modImpl

    Number modImpl(Number left, Number right)

### multiplyImpl

    Number multiplyImpl(Number left, Number right)

### subtractImpl

    Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    Number unaryMinusImpl(Number left)